> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Written Exam Audit

> Returns an audit report for written exams within the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/audit
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/audit:
    get:
      tags:
        - Reports
      summary: Written Exam Audit
      description: Returns an audit report for written exams within the specified install.
      operationId: getV1InstallsInstallsidReportsAudit
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: examOpenDate
          in: query
          schema:
            type: string
            description: Starting of event, must provide end date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Starting of event, must provide end date with it
        - name: examCloseDate
          in: query
          schema:
            type: string
            description: Exam Close date, must provide open date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Exam Close date, must provide open date with it
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course Offering Sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course Offering Sid
        - name: offset
          in: query
          schema:
            type: integer
            description: Result offset
            minimum: 0
          description: Result offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: sortKeys
          in: query
          schema:
            type: array
            default:
              - createdDate
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - createdDate
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sort order
            default: ASC
            enum:
              - ASC
              - DESC
          description: Sort order
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditReportResponse'
components:
  schemas:
    AuditReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        results:
          $ref: '#/components/schemas/Model6'
    Model6:
      type: array
      items:
        $ref: '#/components/schemas/AuditReportItem'
    AuditReportItem:
      type: object
      properties:
        examSid:
          type: string
          nullable: true
        examTitle:
          type: string
          nullable: true
        courseSid:
          type: string
          nullable: true
        courseTitle:
          type: string
          nullable: true
        courseCode:
          type: string
          nullable: true
        examOpenDate:
          type: string
          nullable: true
        examCloseDate:
          type: string
          nullable: true
        configurationType:
          type: string
          nullable: true
        instructorSid:
          type: string
          nullable: true
        instructorFirstName:
          type: string
          nullable: true
        instructorLastName:
          type: string
          nullable: true
        instructorEmail:
          type: string
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````